SQLITE3_STRLIKE(3)

NAME
sqlite3_strlike - string LIKE matching

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_strlike(const char *zGlob, const char *zStr, unsigned int cEsc);

DESCRIPTION
The sqlite3_strlike(P,X,E) function matches Unicode characters, though only ASCII characters are case folded.

Note that this routine returns zero on a match and non-zero if the strings do not match, the same as sqlite3_stricmp() and sqlite3_strnicmp().

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 9466.

    SQLITE_API int sqlite3_strlike(const char *zGlob, const char *zStr, unsigned int cEsc);

SEE ALSO
sqlite3_strglob(3), sqlite3_stricmp(3)